Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream.events
Interface StartElement

All Superinterfaces:
  XMLEvent, XMLStreamConstants

    public interface StartElement

extends XMLEvent

The StartElement interface provides access to information about start elements. A StartElement is reported for each Start Tag in the document.

Since:
  1.6

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`Attribute` | `getAttributeByName(QName name)` Returns the attribute referred to by this name
`Iterator` | `getAttributes()` Returns an Iterator of non-namespace declared attributes declared on this START_ELEMENT, returns an empty iterator if there are no attributes.
`QName` | `getName()` Get the name of this event
`NamespaceContext` | `getNamespaceContext()` Gets a read-only namespace context.
`Iterator` | `getNamespaces()` Returns an Iterator of namespaces declared on this element.
`String` | `getNamespaceURI(String prefix)` Gets the value that the prefix is bound to in the context of this element.

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Method Detail

### getName

    QName getName()

  Get the name of this event

  Returns:
    the qualified name of this event

### getAttributes

    Iterator getAttributes()

  Returns an Iterator of non-namespace declared attributes declared on this START_ELEMENT, returns an empty iterator if there are no attributes. The iterator must contain only implementations of the javax.xml.stream.Attribute interface. Attributes are fundamentally unordered and may not be reported in any order.

  Returns:
    a readonly Iterator over Attribute interfaces, or an empty iterator

### getNamespaces

    Iterator getNamespaces()

  Returns an Iterator of namespaces declared on this element. This Iterator does not contain previously declared namespaces unless they appear on the current START_ELEMENT. Therefore this list may contain redeclared namespaces and duplicate namespace declarations. Use the getNamespaceContext() method to get the current context of namespace declarations.

  The iterator must contain only implementations of the javax.xml.stream.Namespace interface.

  A Namespace isA Attribute. One can iterate over a list of namespaces as a list of attributes. However this method returns only the list of namespaces declared on this START_ELEMENT and does not include the attributes declared on this START_ELEMENT. Returns an empty iterator if there are no namespaces.

  Returns:
    a readonly Iterator over Namespace interfaces, or an empty iterator

### getAttributeByName

    Attribute getAttributeByName(QName name)

  Returns the attribute referred to by this name

  Parameters:
    `name` - the qname of the desired name
  Returns:
    the attribute corresponding to the name value or null

### getNamespaceContext

    NamespaceContext getNamespaceContext()

  Gets a read-only namespace context. If no context is available this method will return an empty namespace context. The NamespaceContext contains information about all namespaces in scope for this StartElement.

  Returns:
    the current namespace context

### getNamespaceURI

    String getNamespaceURI(String prefix)

  Gets the value that the prefix is bound to in the context of this element. Returns null if the prefix is not bound in this context

  Parameters:
    `prefix` - the prefix to lookup
  Returns:
    the uri bound to the prefix or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.